Package fr.gouv.vitam.common.database.utils

# Enum Class AccessRightType

java.lang.Object
java.lang.Enum<AccessRightType>
fr.gouv.vitam.common.database.utils.AccessRightType

All Implemented Interfaces:
  `Serializable`, `Comparable<AccessRightType>`, `Constable`

public enum AccessRightType extends Enum<AccessRightType>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ACCESS_BY_EXPIRED_MANAGEMENT_RULES`
  `ACCESS_BY_PRODUCERS`
  `ACCESS_BY_PRODUCERS_AND_EXPIRED_MANAGEMENT_RULES`
  `ACCESS_BY_PRODUCERS_OR_EXPIRED_MANAGEMENT_RULES`
  `ACCESS_FULL`
  `UNKNOWN`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static AccessRightType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static AccessRightType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### ACCESS_FULL

    public static final AccessRightType ACCESS_FULL

  - ### ACCESS_BY_PRODUCERS

    public static final AccessRightType ACCESS_BY_PRODUCERS

  - ### ACCESS_BY_EXPIRED_MANAGEMENT_RULES

    public static final AccessRightType ACCESS_BY_EXPIRED_MANAGEMENT_RULES

  - ### ACCESS_BY_PRODUCERS_OR_EXPIRED_MANAGEMENT_RULES

    public static final AccessRightType ACCESS_BY_PRODUCERS_OR_EXPIRED_MANAGEMENT_RULES

  - ### ACCESS_BY_PRODUCERS_AND_EXPIRED_MANAGEMENT_RULES

    public static final AccessRightType ACCESS_BY_PRODUCERS_AND_EXPIRED_MANAGEMENT_RULES

  - ### UNKNOWN

    public static final AccessRightType UNKNOWN

- ## Method Details

  - ### values

    public static AccessRightType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static AccessRightType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null